summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-10-17 14:07:01 -0500
committerAustin English <wizardedit@gentoo.org>2016-10-17 19:00:52 -0500
commitfad5225ceabfb97464df13681b26da01fd32d123 (patch)
tree6bd07fab0534c90bda891a89b0ee7ff9467e6c27 /dev-java/jopt-simple
parentgames-rpg/xu4: remove deprecated games eclass (diff)
downloadgentoo-fad5225ceabfb97464df13681b26da01fd32d123.tar.gz
gentoo-fad5225ceabfb97464df13681b26da01fd32d123.tar.bz2
gentoo-fad5225ceabfb97464df13681b26da01fd32d123.zip
dev-java/jopt-simple: add 4.6
Unfortuantely this is needed by jmh, whose upstream is using it, and does not seem open to the idea of migrating forward. Upstream bug: http://mail.openjdk.java.net/pipermail/jmh-dev/2016-October/002395.html Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-java/jopt-simple')
-rw-r--r--dev-java/jopt-simple/Manifest1
-rw-r--r--dev-java/jopt-simple/jopt-simple-4.6.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-java/jopt-simple/Manifest b/dev-java/jopt-simple/Manifest
index ea94efbe276..870748ce98b 100644
--- a/dev-java/jopt-simple/Manifest
+++ b/dev-java/jopt-simple/Manifest
@@ -1,2 +1,3 @@
+DIST jopt-simple-4.6.tar.gz 107066 SHA256 11876a03ea47fe2d5599f256078e23696a1f753a4ff1b0da9f111acb17cb753f SHA512 33c7e111312c46376d46195cdc659f011af688d4078316a2b8dcc0dfdee480a658a331902b53bb53d1b952978623e012ed595fee269e24680cffeb6c04b40f8b WHIRLPOOL 59b0aa57405b976376a8a158fcc8ae58baf68a91077207e20966ff55c360cb30df953e860c316e5d1d7c2b733a578cded7e5f147aa0960a74b4d85a1224ba960
DIST jopt-simple-4.8.tar.gz 110173 SHA256 21adbb508568d244a827999c1ab1567a9021febad0566b0d0464de262859fed9 SHA512 cc5360cf97446117849f93397c41734a9a001ea623e9ea4223b8d760f36897c62103ab9d2dabfcf0fa032db8e33f7bc51759d626d7bd76dda3adc61fa6622984 WHIRLPOOL cb0e88abcf34a77f617bacc39a9152dafcc04ff9723cfb78bc454250acd4c7c78717c9772bb809e79bfd5da8ff032b323dbeb9d158ea79e53337db400a872050
DIST jopt-simple-4.9.tar.gz 114636 SHA256 23885a2253923a2f472e1c09f170e5f754346b5c3a2812b4d7928d773436c151 SHA512 28b95ac9a508251b80b0283fc57422fef3f36676ad9160974386faf7f02eb7a0cda00ca1970046ed66863d49e784efba955695fcfd8b5b2535cfaefcb1035360 WHIRLPOOL 69e8ec5d7538141cc01fbdd0ba46dcf2404f05b97d6aea25ab0fbf8ae2144aac8b6693f2f580c52fbe12e80bda33b80e3caef60915b85c7c54cbbc9dd35bd285
diff --git a/dev-java/jopt-simple/jopt-simple-4.6.ebuild b/dev-java/jopt-simple/jopt-simple-4.6.ebuild
new file mode 100644
index 00000000000..bf49832e58f
--- /dev/null
+++ b/dev-java/jopt-simple/jopt-simple-4.6.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="A Java library for parsing command line options"
+HOMEPAGE="https://pholser.github.com/jopt-simple/"
+SRC_URI="https://github.com/pholser/${PN}/tarball/${P} -> ${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.6"
+DEPEND=">=virtual/jdk-1.6"
+
+S="${WORKDIR}/pholser-jopt-simple-8808a39"
+
+JAVA_SRC_DIR="src/main/java"
+
+java_prepare() {
+ # Easier to use java-pkg-simple.
+ rm -v pom.xml || die
+}
+
+src_install() {
+ java-pkg-simple_src_install
+ dodoc README.md
+}